Bug 311841 - [JJ] No apply button in systemsettings/workspace appearance/window decorations/configure decoration
Summary: [JJ] No apply button in systemsettings/workspace appearance/window decoration...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: decorations (show other bugs)
Version: 4.9.90 (Beta 2)
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: junior-jobs
Depends on:
Blocks: extramile
  Show dependency treegraph
 
Reported: 2012-12-17 18:04 UTC by Jussi Schultink
Modified: 2015-01-05 14:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.2.0


Attachments
Added a apply button. (1.07 KB, patch)
2014-02-16 16:58 UTC, Swarn Avinash Kumar
Details
Added a apply button. (2.83 KB, patch)
2014-02-19 06:10 UTC, Swarn Avinash Kumar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jussi Schultink 2012-12-17 18:04:25 UTC
As title says, should be apply not ok in that dialog (or maybe apply and ok?) if you follow the same as the systemsettings style. 

Platform Version 4.9.90

Reproducible: Always

Steps to Reproduce:
1.Open up systemsettings/workspace appearance/window decorations/configure decoration
2. Change something
3. Look for the change and don't see it
4. Click Ok, the change appears.
Comment 1 Swarn Avinash Kumar 2014-02-16 16:58:56 UTC
Created attachment 85181 [details]
Added a apply button.

I am just a beginner, so kindly excuse me if its completely wrong.
Comment 2 Martin Flöser 2014-02-17 07:06:32 UTC
please use git.reviewboard.kde.org for patch suggestion with review group KWin. Here on the bugtracker it's very likely that we just forget about the patch.
Comment 3 Swarn Avinash Kumar 2014-02-19 06:10:26 UTC
Created attachment 85229 [details]
Added a apply button.

Added the apply button
Handled the apply button setEnable() cases.
Comment 4 Swarn Avinash Kumar 2014-02-19 06:17:11 UTC
Actually, I tried to it but it says - 

The file 'kwin/kcmkwin/kwindecoration/configdialog.cpp' (r5083d60) could not be found in the repository

I used ->
$ git diff HEAD~2 > final2.diff

I have little experience in git, so I couldn't figure out why?

(In reply to comment #2)
> please use git.reviewboard.kde.org for patch suggestion with review group
> KWin. Here on the bugtracker it's very likely that we just forget about the
> patch.
Comment 5 Martin Flöser 2015-01-05 14:11:41 UTC
The new config dialog in the upcoming 5.2.0 release has an apply button.